Index: ast_h323.cxx
===================================================================
--- ast_h323.cxx	(revision 11249)
+++ ast_h323.cxx	(revision 11919)
@@ -707,8 +707,13 @@ H323Connection::AnswerCallResponse MyH323Connectio
 		return H323Connection::AnswerCallDenied;
 	}
 	/* The call will be answered later with "AnsweringCall()" function.
+	 * Deferred means no Progress will be sent to originating party at this moment.
+	 * This is needed because if we send Progress (with RTP info) and later ReleaseComplete
+	 * some equipment won't switch to next route because RTP info was presented by us in the session.
+	 * Progress should be sent to calling party when called party sends equivalent message to us
+	 * or if Progress() dialplan function is invoked.
 	 */
-	return ((pi || (fastStartState != FastStartDisabled)) ? AnswerCallDeferredWithMedia : AnswerCallDeferred);
+	return AnswerCallDeferred;
 }
 
 PBoolean MyH323Connection::OnAlerting(const H323SignalPDU & alertingPDU, const PString & username)
